Page MenuHomePhabricator

[PowerPC][Bug] Fix Bug in Stack Frame Update Code
ClosedPublic

Authored by stefanp on Apr 27 2021, 7:40 AM.

Details

Reviewers
nemanjai
sfertile
Group Reviewers
Restricted Project
Commits
rGc79bc5942d0e: [PowerPC][Bug] Fix Bug in Stack Frame Update Code
Summary

The stack frame update code does not take into consideration spilling
to registers for callee saved registers. The option -ppc-enable-pe-vector-spills
turns on spilling to registers for callee saved registers and may expose a bug
in the code that moves a stack frame pointer update instruction.

Diff Detail

Event Timeline

stefanp created this revision.Apr 27 2021, 7:40 AM
stefanp requested review of this revision.Apr 27 2021, 7:40 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 27 2021, 7:40 AM
nemanjai accepted this revision.May 10 2021, 4:39 AM

LGTM.

This revision is now accepted and ready to land.May 10 2021, 4:39 AM
This revision was landed with ongoing or failed builds.May 11 2021, 3:54 AM
This revision was automatically updated to reflect the committed changes.